fuzzydl

## Class LukasiewiczSolver

- java.lang.Object
- - fuzzydl.LukasiewiczSolver

-     public class LukasiewiczSolver
      extends java.lang.Object

  Solver for Lukasiewicz fuzzy logic semantics.
  Author:
    Fernando Bobillo

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LukasiewiczSolver()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `solveAll(Relation rel, Restriction restric, KnowledgeBase kb)` Solves a universal restriction fuzzy assertion with respect to a reference fuzzy KB.
    `static void` | `solveAnd(Assertion ass, KnowledgeBase kb)` Solves a conjunction fuzzy assertion with respect to a reference fuzzy KB.
    `static void` | `solveOr(Assertion ass, KnowledgeBase kb)` Solves a disjunction fuzzy assertion with respect to a reference fuzzy KB.
    `static void` | `solveSome(Assertion ass, KnowledgeBase kb)` Solves a existential restriction fuzzy assertion with respect to a reference fuzzy KB.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LukasiewiczSolver

          public LukasiewiczSolver()

  - ### Method Detail

    - #### solveAnd

          public static void solveAnd(Assertion ass,
                                      KnowledgeBase kb)

      Solves a conjunction fuzzy assertion with respect to a reference fuzzy KB.
      Parameters:
        `ass` - A conjunction fuzzy assertion.
        `kb` - A reference fuzzy KB.

    - #### solveOr

          public static void solveOr(Assertion ass,
                                     KnowledgeBase kb)

      Solves a disjunction fuzzy assertion with respect to a reference fuzzy KB.
      Parameters:
        `ass` - A disjunction fuzzy assertion.
        `kb` - A reference fuzzy KB.

    - #### solveSome

          public static void solveSome(Assertion ass,
                                       KnowledgeBase kb)
                                throws InconsistentOntologyException

      Solves a existential restriction fuzzy assertion with respect to a reference fuzzy KB.
      Parameters:
        `ass` - A existential restriction fuzzy assertion.
        `kb` - A reference fuzzy KB.
      Throws:
        `InconsistentOntologyException` - Inconsistent ontology.

    - #### solveAll

          public static void solveAll(Relation rel,
                                      Restriction restric,
                                      KnowledgeBase kb)

      Solves a universal restriction fuzzy assertion with respect to a reference fuzzy KB.
      Parameters:
        `rel` - A relation.
        `restric` - A universal restriction.
        `kb` - A reference fuzzy KB.